The HTTP HEAD method returns the headers that would be returned if the URL was used in a GET method.
The X-Powered-By Header shows what technology has been used to build the server. In this case, Express, a Node.js framwork for back end development.

